routes/web.php
<?php

use App\Http\Controllers\HomeController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\ListReserva;
use App\Http\Controllers\PersonController;
use App\Http\Controllers\ReserveController;
use App\Http\Controllers\ListDraftsController;
use App\Http\Controllers\ListInformationController;
use \App\Http\Controllers\ReserveClassroomController;
use \App\Http\Controllers\ReportController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

//home
Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home'); //RUTA USUARIO
Route::get('admin/home', [App\Http\Controllers\HomeController::class, 'adminHome'])->name('admin.home')->middleware('is_admin');// RUTA ADMI
Route::get('/home', function () {
    return view('home');
})->name('myHome');//VISTA HOME INICIAL(sin iniciar sesion)

//list subjects
Route::resource('list-subjects', PersonController::class);
Route::get('/list-subjects', [PersonController::class,'index'])->name('subjects');

// reserve form
Route::resource('reserves', ReserveController::class);

// reserve form draf
Route::get('draft', [ReserveController::class,'draftStore'])->name('draft');
Route::get('reserves/create/{courseId}', [ReserveController::class, 'create', ])->name('create.reserve');

// lista de borradores
Route::resource('myListDrafts', ListDraftsController::class);

// Lista de reportes
Route::resource('reports', ReportController::class);

/*Administrador*/
//lista de reservas
Route::resource('ListReserve', ListReserva::class);
Route::resource('ListReserve', ListReserva::class)->middleware('is_admin');
Route::resource('respuestas', ReserveClassroomController::class)->middleware('is_admin');
Route::get('ListReserve/show/{formId}', [ListReserva::class, 'show', ])->name('show.ListReserve')->middleware('is_admin');

Route::resource('ListInformation', ListInformationController::class)->middleware('is_admin');

Route::post('ListReserve/filter', [ListReserva::class,'filter'])->name('filter')->middleware('is_admin');

Route::get('create-notification', [NotificationController::class,'create'])->middleware('is_admin');

resources/views/administrador/listInformation.blade.php
@extends('layouts.app')

@section('content')

<style>
  body {
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto auto 1fr auto ;
    font-family: 'Poppins', sans-serif;
  }

  table {
    font-family: 'Poppins', sans-serif;
    color:black;
    font-weight: normal !important;
  }

  strong {
    font-weight: 900;
  }

</style>

<body>
  <div id="pricing" class="container ">
    <br>
    <h5 class="fw-normal" style="color: #215F88"> Mi lista de informes emitidos </h5>
    <br>
    @if (!$listInfo->isEmpty())
    <br>
    <table class="table datatable table-hover table-responsive table-bordered table-striped border-white">
      <thead>
        <tr class=" fw-lighter" style="color: #215F88">
          <th class=" text-center" scope="col">Nro</th>
          <th class=" text-center" scope="col">Personal</th>
          <th class=" text-center" scope="col">Solicitante</th>
          <th class=" text-center" scope="col">Materia</th>
          <th class=" text-center" scope="col">Nro Estudiantes</th>
          <th class=" text-center" scope="col">Fecha</th>
          <th class=" text-center" scope="col">Estado</th>
          <th class=" text-center" scope="col">Acción</th>
        </tr>
      </thead>
      <tbody>
        @php
          $num = 1;
        @endphp
        @foreach ($listInfo as $info)
          <tr class=" align-middle">
            <td class="text-center align-middle">{{$num++}}</td>
            <td class="text-center align-middle">{{{$info->form->person->role->name_role}}}</td>
            <td>{{{$info->form->person->first_name}}} {{{$info->form->person->last_name}}}</td>
            <td scope="row">{{$info->form->cursos->first()->subject->name_subject ?? ''}}</td>
            <td class="text-center align-middle">{{$info->form->number_students}}</td>
            <td class="text-center align-middle">{{$info->form->date_reserve}}</td>
              @if($info->state_reserve == 1)
                <td class="text-center align-middle"><span class="badge rounded-pill bg-success">Aceptado</span></td>
                <td class="table-light text-center align-middle">
                  <button
                    type="button"
                    class="btn"
                    style="background-color: #215F88; color: white; padding: 0 8px 0 8px"
                    data-bs-toggle="modal"
                    data-bs-target="#exampleModal"
                    data-full-name="{{{$info->form->person->role->name_role}}} {{{$info->form->person->first_name}}} {{{$info->form->person->last_name}}}"
                    data-subject="{{$info->form->cursos->first()->subject->name_subject ?? ''}}"
                    data-number-students="{{$info->form->number_students}} estudiantes"
                    data-reserve-date="{{$info->form->date_reserve}}"
                    data-reserve-state="ACEPTADO"
                    >
                      Ver más
                  </button>
                </td>
              @else
                <td class="text-center align-middle"><span class="badge rounded-pill bg-danger">Rechazado</span></td>
                <td class="table-light text-center align-middle">
                  <button
                    type="button"
                    class="btn"
                    style="background-color: #215F88; color: white; padding: 0 8px 0 8px"
                    data-bs-toggle="modal"
                    data-bs-target="#exampleModal"
                    data-full-name="{{{$info->form->person->role->name_role}}} {{{$info->form->person->first_name}}} {{{$info->form->person->last_name}}}"
                    data-subject="{{$info->form->cursos->first()->subject->name_subject ?? ''}}"
                    data-number-students="{{$info->form->number_students}} estudiantes"
                    data-reserve-date="{{$info->form->date_reserve}}"
                    data-reserve-state="RECHAZADO"
                    >
                    Ver más
                  </button>
                </td>
              @endif
          </tr>
        @endforeach
      </tbody>
      <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content text-center">
              <div class="modal-header">
                <h3 class="modal-title" id="exampleModalLabel">Informe de Reserva</h3>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                La solicitud de reserva del
                <strong class='modal-full-name' id="recipient-fullname"></strong> de la materia
                <strong id="recipient-subject"></strong> con
                <strong id="recipient-number-students"></strong> en fecha
                <strong id="recipient-date"></strong> ha sido
                <strong id="recipient-state"></strong>.
              </div>
              <div class="modal-footer align-middle">
                <button type="button" class="btn" style="background-color: #215F88; color: white" data-bs-dismiss="modal">Volver a Informes</button>
              </div>
            </div>
          </div>
        </div>

        <script>
          var exampleModal = document.getElementById('exampleModal')
          exampleModal.addEventListener('show.bs.modal', function (event) {
            var button = event.relatedTarget

            var recipientFullName = button.getAttribute('data-full-name')
            var recipientSubject = button.getAttribute('data-subject')
            var recipientNumberStudents = button.getAttribute('data-number-students')
            var recipientReserveDate = button.getAttribute('data-reserve-date')
            var recipientReserveState = button.getAttribute('data-reserve-state')

            var modalBodyInput = exampleModal.querySelector('.modal-body input')
            var modalBodyStrong = exampleModal.querySelector('#recipient-fullname')
            var modalBodySubject = exampleModal.querySelector('#recipient-subject')
            var modalBodyNumberStudents = exampleModal.querySelector('#recipient-number-students')
            var modalBodyReserveDate = exampleModal.querySelector('#recipient-date')
            var modalBodyReserveState = exampleModal.querySelector('#recipient-state')

            modalBodyStrong.textContent = recipientFullName
            modalBodySubject.textContent = recipientSubject
            modalBodyNumberStudents.textContent = recipientNumberStudents
            modalBodyReserveDate.textContent = recipientReserveDate
            modalBodyReserveState.textContent = recipientReserveState
          })
        </script>
    </table>

  </div>
    @else
      <br>
          <div class="text-center">
              <img src="https://firebasestorage.googleapis.com/v0/b/adaroom-3619c.appspot.com/o/solicitudes.jpg?alt=media&token=d1a8f3f3-bdc0-4dea-ad66-2f412d566870" class="rounded" width="100px" height="120px" >
          </div>
          <p class="text-center text-muted" style="color: #000000; font-size: 14px" >No se encontró ningún informe</p>
    @endif
<br>
<br>
</body>
@endsection

resources/views/administrador/listReserve.blade.php
@extends('layouts.app')

@section('content')
<link rel="stylesheet" href="{{ asset('css/classroom.css') }}">
<body>
    <div class="container ">
        <br>
        <h5 class="fw-normal" style="color: #215F88"> Mi lista de solicitudes de reserva de aula </h5>
        @if (!$reservas->isEmpty())
        <br>
        <table class="table datatable table-hover table-responsive table-bordered border-white table-striped">
            <thead>
                <tr class=" fw-lighter" style="color: #215F88">
                <th scope="col" class=" text-center">Nro</th>
                <th scope="col">Solicitante</th>
                <th scope="col">Materia</th>
                <th scope="col">Motivo</th>
                <th scope="col">Grupo(s)</th>
                <th class=" text-center" scope="col">Fecha Reserva</th>
                <th class=" text-center" scope="col">Fecha Solicitud</th>
                <th class=" text-center" scope="col">Estado</th>
                <th class=" text-center" scope="col">Acción</th>
                </tr>
            </thead>
            <tbody>
            @php
                $num = 1;
            @endphp
            @foreach ($reservas as $reserva)
            @php
                $miColor = "badge rounded-pill bg-danger";
                $estado ="";
                $fecha_entrada = date("d-m-Y", strtotime($reserva->date_reserve));
                $fecha_ahora = date("d-m-Y",time());
                $fecAsemana = date("d-m-Y",strtotime($fecha_ahora."+ 1 week"));
                $fecha_semana = strtotime($fecAsemana);
                $fecha_en = strtotime($fecha_entrada);
                $fecha_ah = strtotime($fecha_ahora);

                if($fecha_ah > $fecha_en){
                    $estado ="Vencido";
                    $miColor = "badge bg-danger rounded-pill text-white";
                }else{
                    if ($fecha_ah < $fecha_en &&  $fecha_en < $fecha_semana) {
                        $estado ="Urgente";
                        $miColor = "badge bg-warning text-dark";
                    }else {
                        $estado ="Vigente";
                        $miColor = "badge bg-success ";
                    }
                }
            @endphp
                    <tr>
                        
                        <td scope="row" class=" text-center" >{{$num}}</td>
                        <td>{{{$reserva->person->first_name}}} {{{$reserva->person->last_name}}}</td>
                        <td scope="row">{{$reserva->cursos->first()->subject->name_subject ?? ''}}</td>
                        <td scope="row">{{$reserva->motive->type_motive }}</td>
                        @php
                            $grupos = "";
                            foreach($reserva->cursos as $curso) {
                                $grupos = $grupos.", ".$curso->group_number;
                            }
                        $dataGrupos = trim($grupos,',');
                        @endphp

                        <td>{{$dataGrupos}}</td>
                        <td>{{$fecha_entrada}}</td>
                        <td>{{$reserva->getTimestamp($reserva->updated_at)}}</td>
                        <td>
                            <span class="{{$miColor}}">
                                {{$estado}}
                            </span>
                        </td>
                        <td class=" text-center">
                            <form action="{{route('show.ListReserve', $reserva->id_form)}}" method="get">
                                <button type="submit" class="btn" style="background: #215F88; color:white; padding: 0 8px 0 8px;">Ver Solicitud</button>
                            </form>
                        </td>
                    </tr>
                    @php
                        $num = $num +1;
                    @endphp
                @endforeach

            </tbody>
        </table>
    </div>

    @else
        <br>
        <div class="text-center">
            <img src="https://firebasestorage.googleapis.com/v0/b/adaroom-3619c.appspot.com/o/a_solicitud.png?alt=media&token=fe39a0b2-64e6-4a50-8e88-7c3aea07f60c" class="rounded" width="100px" height="120px" >
        </div>
        <p class="text-center text-muted" style="color: #000000; font-size: 14px" >No se encontró ninguna solicitud</p>
    @endif
    <script>
        const d = new Date();
        const ye = new Intl.DateTimeFormat('es', { year: 'numeric' }).format(d);
        const mo = new Intl.DateTimeFormat('es', { month: 'short' }).format(d);
        const da = new Intl.DateTimeFormat('es', { day: 'numeric' }).format(d);
        const diaSemana = new Intl.DateTimeFormat('es', { weekday: 'long' }).format(d);
        const hr = new Intl.DateTimeFormat('es', { hour: 'numeric' }).format(d);
        const sg = new Intl.DateTimeFormat('es', { second: 'numeric' }).format(d);
        //const tz = new Intl.DateTimeFormat('es', { timeZone: ''}).format(d);
        const test = `${diaSemana}, ${da} ${mo}, ${ye} ${hr}:${sg}`;
        console.log(test);
        $("#inputFechaAsignacion").text(test);
    </script>
    <br>
    <br>
</body>
@endsection

resources/views/administrador/notification.blade.php
@extends('layouts.app')
@section('content')
<div>
    <!-- Button trigger modal -->
    <button type="button" class="btn btn-primary" id="not" data-toggle="modal" data-target="#exampleModalCenter">
        enviar notificacion
    </button>
    {{ csrf_field() }}
    <script type="text/javascript">
        $('#not').on('click', function() {
            $('#exampleModalCenter').modal('show');
        });
    </script>

    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter"  data-bs-backdrop="static">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Enviar Notificacion</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form class="container">
                        <div class="mb-3">
                                <label for="inputEstado" class="fw-light">Estado Solicitud </label>
                                <div class="border border-gray rounded p-1 d-inline-flex" name="estado" id="inputEstado" >
                                    <span class="badge bg-secondary">Aceptado</span>
                                </div>
                        </div>
                    <!--
                        <div class="row mb-3">
                                <label for="inputFechaReserva" class="fw-light">Fecha Solicitud</label>
                                <br/>
                                <div class="border border-gray rounded p-1 d-inline-flex" id="inputFechaAsignacion" >
                                    <span >{{$solicitud->date_reserve}}</span>
                                </div>

                        </div>
                        <div class="row mb-3">
                            <label for="inputAulas" class="fw-light">Aulas Asignadas</label><br>
                            <div class="border border-gray rounded p-1" name="aulas" id="inputAulas" >
                                <span class="badge bg-secondary">690 A</span>
                                <span class="badge bg-secondary">690 B</span>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <label for="inputPeriodos" class="fw-light">Periodos</label>
                            <div class="border border-gray rounded p-1" id="inputPeriodos" >
                                <span class="badge bg-secondary">6.45 - 8.15</span>
                            </div>

                        </div>
                        -->
                        <div class="row mb-3">
                            <label for="inputNota" class="fw-bold">Nota</label>
                            <textarea class="form-control" id="inputNota" rows="3" placeholder="Comentarios..."></textarea>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary">Enviar</button>
                </div>
            </div>
        </div>
    </div>
</div>
    <script>
        const d = new Date();
        const ye = new Intl.DateTimeFormat('es', { year: 'numeric' }).format(d);
        const mo = new Intl.DateTimeFormat('es', { month: 'short' }).format(d);
        const da = new Intl.DateTimeFormat('es', { day: 'numeric' }).format(d);
        const diaSemana = new Intl.DateTimeFormat('es', { weekday: 'long' }).format(d);
        const hr = new Intl.DateTimeFormat('es', { hour: 'numeric' }).format(d);
        const sg = new Intl.DateTimeFormat('es', { second: 'numeric' }).format(d);
        //const tz = new Intl.DateTimeFormat('es', { timeZone: ''}).format(d);
        const test = `${diaSemana}, ${da} ${mo}, ${ye} ${hr}:${sg}`;
        console.log(test);
        $("#inputFechaAsignacion").text(test);
    </script>
@endsection

resources/views/administrador/reserveClassroom.blade.php
@extends('layouts.app')

@section('content')

<body>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/classroom.css') }}">
    @php
        $listaHorarios = Array(); //periodos [1,2,3]
        $periodoR = "";
        foreach($assignClassroom as $assign) {
            foreach($periodos as $periodo) {
                if (($periodo->id_class_timetable) == ($assign->id_class_timetable)) {
                    $periodoR = $periodoR.' ; '.$periodo->timetable_range;
                    array_push($listaHorarios,$periodo->id_class_timetable);
                }
            }
        }
        $periodoReserve = trim($periodoR,' ; ');

    @endphp

    <div class="container">
        <div class="row mx-md-n5">
            <div class="col info-booking shadow mb-1">                
                <br>
                <h5 class="text-center fw-bold" style="color: #215F88" >DETALLE DE LA RESERVA DE AULA</h5>
                <br>
                <p><b>Solicitante:</b> <span class="border rounded-pill p-1">{{$docente->first_name}} {{$docente->last_name}}</span></p>
                <p><b>Materia: </b><span class="border rounded-pill p-1">{{$materia->name_subject}}</span></p>
                <p><b>Fecha:</b><span class="border rounded-pill p-1">{{$detalle->getDate($detalle->date_reserve)}}</span></p>
                <p><b>Periodos:</b> <span class="border rounded-pill p-1">{{$periodoReserve}}</span></p>
                <p><b>Motivo: </b> <span class="border rounded-pill p-1">{{$motivo->type_motive}}</span></p>
                <p><b>Cantidad de estudiantes:</b> <span class="border rounded-pill p-1">{{$detalle->number_students}}</span></p>
                @php
                    $motivo = "Si";
                    if (($detalle->continuous_classroom) == 0) {
                        $motivo = "No";
                    }
                @endphp
                <p><b>¿Desea aulas continuas?: </b><span class="border rounded-pill p-1">{{$motivo}}</span></p>
            
            </div>
            <div class="col-8 px-md-5">
            
                <br>
                <h5 class="fw-bold" style="color: #215F88" >AULAS DISPONIBLES</h5>
                <br>
                @if (!$listClassroom->isEmpty() || !$continuo->isEmpty())
                <table class="table datatable table-hover table-responsive table-bordered border-white table-striped" >
                    <thead>
                        <tr class="fw-lighter" style="color: #215F88">
                            <th scope="col" class=" text-center">Nro.</th>
                            <th scope="col">Aula</th>
                            <th scope="col">Capacidad</th>
                            <th scope="col">Seleccionar</th>
                        </tr>
                    </thead>
        
                    @php
                        //periodos [1,2,3] solicitadas
                        $excluirAula = Array();
                        if ($existeFecha){
                            foreach ($listaHorarios as $horario) {
                                foreach ($listaFechas as $fecha) {
                                    if ($fecha->id_class_timetable == $horario) {
                                        if (!in_array($fecha->id_classroom, $excluirAula)) {
                                            array_push($excluirAula,$fecha->id_classroom);//1-> 622
                                        }
                                    }
                                }
                            }
                        }
                    $num = 1;
                    $respuestaSolicitud= false;
                    @endphp
                    <tbody>
                    <!--Script para validar check radio y desabilitar Notificar-->
                    @foreach ($listClassroom as $classroom)
                    @if (!in_array($classroom->id_classroom, $excluirAula))
                        <tr>
                            <td scope="row" class=" text-center">{{$num++}}</td>
                        <td>{{$classroom->number_classroom}}</td>  <!-- NECESITAMOS EL AULA FILTRADO -->
                        <td>{{$classroom->capacity}}</td>
                        <td>
                            <input class="form-check-input" type="radio" onclick="setRespuesta({{$classroom->id_classroom}},0)" name="flexRadioDefault" id="flexRadioDefault1"/></td>
                        </tr>
                    @endif
                    @endforeach
                    @if(($detalle->continuous_classroom) && ($listClassroom->isEmpty()))
                        @foreach ($continuo as $cont)
                            @if (!in_array($cont->id_classroom, $excluirAula))
                                <tr>
                                <td>{{$num++}}</td>
                                <td>{{$cont->continua}}</td>  <!-- NECESITAMOS EL AULA FILTRADO -->
                                <td>{{$cont->capacidadac}}</td>
                                <td>
                                    <input class="form-check-input" type="radio" onclick="setRespuesta({{$cont->id_classroom}},1)"  name="flexRadioDefault" id="flexRadioDefault1"/></td>
                                </tr>
                            @endif
                        @endforeach
                    @endif
                    </tbody>
                </table>
                @else
                <br>
                    <div class="text-center">
                        <img src="https://firebasestorage.googleapis.com/v0/b/adaroom-3619c.appspot.com/o/aula.png?alt=media&token=9a61ecf9-245a-4222-b2a5-a0c046825593" class="rounded" width="100px" height="100px" >
                    </div>
                    <p class="text-center text-muted" style="color: #000000; font-size: 14px" >No se encontró aulas disponibles...</p>
                    <br>
                    <br>
                    <br>
                @endif
                    <div class=" text-center mx-auto justify-content: center mt-5">
                        <button type="button"style="margin-right:20%;" class="btn btn-danger me-md-5 btn-space"  data-bs-toggle="modal" data-bs-target="#staticBackdrop" style="background-color: #D22929;">Cancelar</button>
                        <button type="submit" id="Notificar" style="margin-left:20%; background-color: #215F88; color: white" class="btn" name="action" value="enviar" onclick="mostrarNotificacion()">Notificar</button>
                    </div>
            </div>
        </div>

        <!-- Modal Cancelar-->
        <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                ¿Está usted seguro(a) de cancelar la asignación de aula?. Se borrarán los cambios.
                </div>
                <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
                <button type="button" style="background-color: #215F88;" class="btn btn-primary"data-bs-dismiss="modal" onclick="window.history.back()">Si</button>
            </div>
            </div>
            </div>
        </div>
    </div>



    <!-- Modal notificacion -->
    <div class="modal fade" id="notificacionModal"  data-bs-backdrop="static" >
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Enviar Notificacion</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form class="container" method="post" action="{{ route('respuestas.store') }}">
                        {{ csrf_field() }}
                        <div>
                            <div class="mb-3">
                                <label for="inputId" class="fw-light">Solicitud</label>
                                <input type="text" class="form-control" id="inputId" readonly value={{$detalle->id_form}} name="idSolicitud">
                            </div>


                            <input type="text" class="form-control" id="idClassroom" name="idClassroom" value="0" hidden> <!--ID AULA SELECCIONADA -->
                            <input type="text" class="form-control" id="myContinuo" name="myContinuo" value="0" hidden> <!--1 Si es continuo (0 NO)-->

                            <div class="mb-3">
                                <label for="inputEstado" class="fw-light">Estado</label>
                                <div style="width: 7.5rem">
                                    <input type="text" class="form-control bg-danger text-white" id="inputEstado" readonly value="Rechazado" name="estado">
                                </div>
                            </div>

                            <div class="mb-3">
                                <label for="inputNota" class="fw-bold">Nota</label>
                                <textarea class="form-control" id="inputNota" rows="3" placeholder="Comentarios..." name="comentarios">No se han encontrado Aulas Disponibles con los requerimientos de su solicitud.</textarea>
                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn" style="background-color: #215F88; color: white">Enviar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        const setRespuesta = (classroom,esContinuo) => {
            $("#inputEstado").val('Aceptado');
            $("#inputEstado").removeClass('bg-danger');
            $("#inputEstado").addClass('bg-success');
            $("#idClassroom").val(classroom);// OBTENER ID AULA
            $("#myContinuo").val(esContinuo);//es continuo?
            $('#inputNota').val('');
        }
        const mostrarNotificacion = () => {
            $('#notificacionModal').modal('show');
        }
    </script>
<br>
<br>
</body>
@endsection